# Versions

All datasets on Redivis are automatically versioned. Any change to a dataset's data in [tables or files](https://docs.redivis.com/reference/datasets/data) will require a new version. A version is a locked copy of the data, supporting future reproducibility and confidence in the persistence of data workflows.&#x20;

Changes to documentation and metadata do not create a new version, though different versions do have independent documentation and metadata that can be edited to document information separately from the previous version.

If you are a dataset editor and have new data, find a mistake to correct, or would otherwise like to modify the existing content of a dataset, you can [create](#creating-a-new-version) and [release](https://docs.redivis.com/guides/create-and-manage-datasets/create-and-populate-a-dataset#5-release-the-dataset) a new version.

## Semantic version tags

Redivis uses semantic versioning clarify differences across versions.

Version numbers are of the form `v[major].[minor]` The first version of every dataset is `v1.0`. For subsequent versions, the tag will augment automatically depending on the changes being released.&#x20;

* **Major update:** Existing code may not run.&#x20;
  * Triggered when variables in the new version are renamed, deleted, or retyped. Also occurs if any tables from the previous version were deleted.
* **Minor update:** Existing code will generally run.
  * Changes are limited to adding / removing records, recoding variables, adding variables, and adding tables.

## Version history

On any dataset page, you can view the current version tag next to the dataset title, and click on this tag to switch to view a full version history and switch to a different version of this dataset.&#x20;

![](https://1672950126-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LVodLwUXgJUGcm5Cvso%2Fuploads%2FBrBmOMnwh2sl8nIgyFok%2FScreenshot%202024-12-09%20at%207.01.03%E2%80%AFPM_out%20copy.png?alt=media\&token=9e4b201d-920c-4926-800e-318f3b66dfb7)

## Analyze previous versions

When analyzing data in a [workflow](https://docs.redivis.com/reference/workflows) you can change the version of a dataset by selecting the [dataset node](https://docs.redivis.com/workflows/overview#datasets) and clicking the **Version** button at top right. Select the version you'd like to analyze and confirm. This will replace every table of this dataset with the corresponding table in the selected version (if it exists). You can switch versions at any point.

If there is a new version available of a dataset in your workflow, the version indicator will be highlighted to indicate that you might want to upgrade.

![](https://1672950126-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LVodLwUXgJUGcm5Cvso%2Fuploads%2FnM0VwfC9mdvPWOIPS07g%2FScreenshot%202024-12-09%20at%206.27.50%E2%80%AFPM_out.png?alt=media\&token=3b951363-1bbd-4062-9834-e80ca8d7ac69)

Normally you can only have one copy of dataset in a workflow but it's possible to add a second version if you'd like to compare them. In any workflow, click the **+ Add data** button and locate the dataset. Right click on the dataset and choose to add another version to the workflow.&#x20;

*For editors:* [*How to manage the dataset lifecycle*](https://docs.redivis.com/reference/datasets/create-and-edit-datasets/dataset-lifecycle)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/reference/datasets/versions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
